Help for Older Browsers

We recognize a few people will be using a really old browser to access the Classilla site. However, we test with Netscape 3 and higher to ensure that nearly everyone on anything can get a sane look at the site, so if you are one of those people using Mosaic, let us be the first to welcome you to the latter half of the 1990s.

You will need a Power Mac with OS 8.6 or OS 9 and at least 64MB of total RAM. Download it from Google Code (23.4MB, StuffIt compressed archive)